require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xrdsessioncollection',
  dscmeta_resource_friendly_name: 'xRDSessionCollection',
  dscmeta_resource_name: 'MSFT_xRDSessionCollection',
  dscmeta_module_name: 'xRemoteDesktopSessionHost',
  dscmeta_module_version: '2.0.0',
  docs: 'The DSC xRDSessionCollection resource type.
         Automatically generated from version 2.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_collectiondescription: {
      type: 'Optional[String]',
      desc: 'Specifies a description for the collection.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_connectionbroker: {
      type: 'Optional[String]',
      desc: 'Specifies the Remote Desktop Connection Broker (RD Connection Broker) server for a Remote Desktop deployment.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_sessionhost: {
      type: 'String',
      desc: 'Specifies an RD Session Host server to include in the session collection. ',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_collectionname: {
      type: 'String',
      desc: 'Specifies a name for the session collection. ',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
